require: rubocop-rails

Rails:
  Enabled: true

AllCops:
  Exclude:
    - db/**/*

Documentation:
  Enabled: false

Layout/AlignArguments:
  Enabled: true
  EnforcedStyle: with_fixed_indentation

Layout/AlignHash:
  Enabled: true
  EnforcedLastArgumentHashStyle: ignore_implicit

Layout/MultilineMethodCallIndentation:
  Enabled: true
  EnforcedStyle: indented

Metrics/BlockLength:
  Enabled: true
  Exclude:
    - '**/*_spec.rb'

Style/ClassAndModuleChildren:
  Enabled: true
  EnforcedStyle: compact

Style/FrozenStringLiteralComment:
  Enabled: false

Style/NegatedIf:
  Enabled: false

Style/SymbolArray:
  Enabled: true
  EnforcedStyle: brackets

Style/TrailingCommaInHashLiteral:
  Enabled: true
  EnforcedStyleForMultiline: consistent_comma
